> ## Documentation Index
> Fetch the complete documentation index at: https://mcp.theoryofevolution.com.au/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Edit a Package Product

> ## Edit a Package Product ##

<p>
Edits the given Package Product
</p>

#### Response ####
<p>204 on success</p>



## OpenAPI

````yaml /openapi/website-travel-supplier-api.mintlify.json put /{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}
openapi: 3.0.0
info:
  title: Website Travel Supplier API
  version: 0.0.0
  description: >-
    Supplier-facing Website Travel API for authentication, products, media,
    cancellation policies, and vouchers.
servers: []
security: []
tags:
  - name: Version 1
    description: Version 1
  - name: Media
    description: Media
  - name: Packages
    description: Packages
  - name: Booking Details
    description: Booking Details
  - name: Product Prices
    description: Product Prices
  - name: Products
    description: Products
  - name: Vouchers
    description: Vouchers
paths:
  /{supplierapi}/package/{productPricesDetailId}/option/{optionId}/product/{packageProductId}:
    put:
      tags:
        - Version 1
      summary: Edit a Package Product
      description: |-
        ## Edit a Package Product ##

        <p>
        Edits the given Package Product
        </p>

        #### Response ####
        <p>204 on success</p>
      operationId: put_api_product_package_editpackageproduct
      parameters:
        - name: productPricesDetailId
          in: path
          description: ProductPricesDetail to be linked to the PackageProduct.
          required: true
          schema:
            type: integer
        - name: optionId
          in: path
          description: The ID of the Package Option
          required: true
          schema:
            type: integer
        - name: packageProductId
          in: path
          description: The ID of the Package Product
          required: true
          schema:
            type: integer
        - name: quantity
          in: query
          description: Quantity of the ProductPricesDetail to be included. Defaults to 1.
          required: false
          schema:
            type: integer
        - name: ordering
          in: query
          description: >-
            Sort ordering for the PackageProduct. The ordering for other
            PackageProducts will be adjusted as necessary to accommodate new
            PackageProduct's ordering.
          required: false
          schema:
            type: integer
        - name: rrpDifference
          in: query
          description: >-
            Amount to add onto package's base RRP if this Package Product is
            selected. If null, the difference between the RRP for this product
            and the RRP for the cheapest product in the option will be used.
            Must be null for the cheapest product in this package option.
          required: false
          schema:
            type: number
            format: float
        - name: supplierapi
          in: path
          required: true
          schema:
            type: string
            pattern: supplier|apiv1/supplier
      responses:
        '204':
          description: Returned when successful.
        '400':
          description: Returned when there is an issue with the data provided.
        '403':
          description: Returned when the user is not authorized.
        '404':
          description: Returned when the ProductPricesDetail or PackageOption is not found
        '500':
          description: Returned when fatal issues are encountered.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.